Create Wallet
curl --request POST \
--url https://johnajayi-avenue.hf.space/v1/wallets \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"customer_reference": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"label": "<string>",
"currency": "<string>",
"system_prompt": "<string>",
"allow_transfers_out": true,
"sub_account_id": "<string>"
}
'import requests
url = "https://johnajayi-avenue.hf.space/v1/wallets"
payload = {
"customer_reference": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"label": "<string>",
"currency": "<string>",
"system_prompt": "<string>",
"allow_transfers_out": True,
"sub_account_id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_reference: '<string>',
first_name: '<string>',
last_name: '<string>',
email: '<string>',
label: '<string>',
currency: '<string>',
system_prompt: '<string>',
allow_transfers_out: true,
sub_account_id: '<string>'
})
};
fetch('https://johnajayi-avenue.hf.space/v1/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"customer_reference": "user_987",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"label": "John Doe — School Fees",
"account_number": "2211334455",
"bank_name": "Nomba MFB",
"account_name": "PropTech Inc / John Doe",
"balance": 0,
"currency": "NGN",
"status": "ACTIVE",
"system_prompt": "This wallet collects school fees...",
"allow_transfers_out": true,
"sub_account_id": null,
"created_at": "2026-07-01T11:00:00Z"
}
}
Wallets
Create Wallet
Provision a new virtual NUBAN and create a ledger wallet.
POST
/
v1
/
wallets
Create Wallet
Request Headers
string
required
Your live or test API key.
Request Body
string
required
A unique identifier for the user in your system (e.g.
user_987).string
required
The first name of the end-user (required for banking KYC).
string
required
The last name of the end-user (required for banking KYC).
string
required
The email address of the end-user (required for banking KYC).
string
A human-readable label for the wallet (e.g.
John Doe — School Fees).string
default:"NGN"
The currency code. Currently only
NGN is supported.string
Natural-language instruction that guides Avenue’s AI during intent parsing.
boolean
default:"true"
If false, this wallet will be unable to send outbound payouts.
string
Optional sub-account ID to link this wallet to a specific Nomba sub-account.
Response
All amounts and balances in this endpoint are represented in kobo (e.g.,
500000 = ₦5,000.00). Ensure you do not send or expect Naira values.{
"success": true,
"data": {
"id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"customer_reference": "user_987",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"label": "John Doe — School Fees",
"account_number": "2211334455",
"bank_name": "Nomba MFB",
"account_name": "PropTech Inc / John Doe",
"balance": 0,
"currency": "NGN",
"status": "ACTIVE",
"system_prompt": "This wallet collects school fees...",
"allow_transfers_out": true,
"sub_account_id": null,
"created_at": "2026-07-01T11:00:00Z"
}
}
Was this page helpful?